package com.eversec.kit.creator.impl.page;

import com.eversec.kit.creator.ICreator;

/**
 * @author: liangxianyou at 2018/8/6 16:36.
 */
public abstract class PageKit extends ICreator {

    public static String dirPath = ICreator.pageDirPath;

    public String getFileDir(String clazz){
        /*for (String str : fileDirPir) {
            if (clazz.contains(str)){
                return clazz.replace(str, "").toLowerCase();
            }
        }
        return clazz.toLowerCase();*/
        return toLowerCaseFirst(clazz);
    }

    @Override
    public String filePath(String clazz){
        return dirPath + pageModel +"/" + getFileDir(clazz);
    }

}
